Update DNS record
curl --request PUT \
--url https://api.bizzyco.ai/v1/domains/{id}/dns-records/{recordId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"content": "<string>",
"ttl": 3600,
"proxied": true,
"priority": 32767.5
}
'const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
content: '<string>',
ttl: 3600,
proxied: true,
priority: 32767.5
})
};
fetch('https://api.bizzyco.ai/v1/domains/{id}/dns-records/{recordId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.bizzyco.ai/v1/domains/{id}/dns-records/{recordId}"
payload = {
"name": "<string>",
"content": "<string>",
"ttl": 3600,
"proxied": True,
"priority": 32767.5
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.bizzyco.ai/v1/domains/{id}/dns-records/{recordId}"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"content\": \"<string>\",\n \"ttl\": 3600,\n \"proxied\": true,\n \"priority\": 32767.5\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": {
"id": "<string>",
"type": "<string>",
"name": "<string>",
"content": "<string>",
"ttl": 123,
"proxied": true,
"priority": 123,
"createdAt": "<string>",
"modifiedAt": "<string>"
},
"meta": {
"pagination": {
"limit": 123,
"offset": 123,
"hasMore": true,
"total": 123
}
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}Domains
Update DNS record
Replace one DNS record for a Bizzy-managed domain
PUT
/
v1
/
domains
/
{id}
/
dns-records
/
{recordId}
Update DNS record
curl --request PUT \
--url https://api.bizzyco.ai/v1/domains/{id}/dns-records/{recordId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"content": "<string>",
"ttl": 3600,
"proxied": true,
"priority": 32767.5
}
'const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
content: '<string>',
ttl: 3600,
proxied: true,
priority: 32767.5
})
};
fetch('https://api.bizzyco.ai/v1/domains/{id}/dns-records/{recordId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.bizzyco.ai/v1/domains/{id}/dns-records/{recordId}"
payload = {
"name": "<string>",
"content": "<string>",
"ttl": 3600,
"proxied": True,
"priority": 32767.5
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.bizzyco.ai/v1/domains/{id}/dns-records/{recordId}"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"content\": \"<string>\",\n \"ttl\": 3600,\n \"proxied\": true,\n \"priority\": 32767.5\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": {
"id": "<string>",
"type": "<string>",
"name": "<string>",
"content": "<string>",
"ttl": 123,
"proxied": true,
"priority": 123,
"createdAt": "<string>",
"modifiedAt": "<string>"
},
"meta": {
"pagination": {
"limit": 123,
"offset": 123,
"hasMore": true,
"total": 123
}
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}Authorizations
API key authentication via Bearer token
Body
application/json
Last modified on August 9, 2026
⌘I